<?php
/**
 * @file
 * Contains \Drupal\formio\Plugin\resource\entity\formio
 */

namespace Drupal\formio\Plugin\resource;

use Drupal\restful\Plugin\resource\ResourceEntity;
use Drupal\restful\Plugin\resource\ResourceInterface;

/**
 * Defines a class that builds an entity.
 *
 * @package Drupal\formio\Plugin\resource
 */
class Formio extends ResourceEntity implements ResourceInterface {

  /**
   * {@inheritdoc}
   */
  protected function publicFields() {
    $fields = parent::publicFields();

    $instance_fields = field_info_instances($this->entityType, $this->bundles[0]);

    // Map all fields to public.
    foreach($instance_fields as $key => $instance_field) {
      $fields[$key] = array(
        'property' => $key
      );
    }

    return $fields;
  }

  /**
   * {@inheritdoc}
   */
  public function access() {
    return parent::access(); // TODO: Change the autogenerated stub
  }
}
