<?php

namespace Drupal\formio\Plugin\resource\formio\forms;

use Drupal\restful\Plugin\resource\ResourceEntity;
use Drupal\restful\Plugin\resource\ResourceInterface;

class Forms__1_0 extends ResourceEntity implements ResourceInterface{

  protected function dataProviderClassName() {
    if ($this->getEntityType() == 'formio') {
      return '\Drupal\formio\Plugin\resource\DataProvider\DataProviderFormio';
    }
    return parent::dataProviderClassName();
  }

  /**
   * {@inheritdoc}
   */
  protected function publicFields() {
    $public_fields = parent::publicFields();
    $instance_fields = field_info_instances($this->entityType, $this->bundles[0]);
    // Map all fields to public.
    foreach($instance_fields as $key => $instance_field) {
      $public_fields[$key] = array(
        'property' => $key
      );
    }

    $public_fields['instance'] = array('property' => 'instance');
    unset($public_fields['label']);

    return $public_fields;
  }

  /**
   * {@inheritdoc}
   */
  public function access() {
    return parent::access(); // TODO: Change the autogenerated stub
  }

}
